package com.qmth.eds.common.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 对外输出成绩表
 */
@ApiModel(value = "CloudMarkingScoreForeign对象", description = "对外输出成绩表")
public class CloudMarkingScoreForeign implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ExcelIgnore
    @ApiModelProperty(value = "学校ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ExcelIgnore
    @ApiModelProperty(value = "学期ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long semesterId;

    @ExcelIgnore
    @ApiModelProperty(value = "考试类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examTypeId;

    @ApiModelProperty(value = "云阅卷考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer examId;

    @ApiModelProperty(value = "学年")
    private String xnm;

    @ApiModelProperty(value = "学期")
    private String xqm;

    @ApiModelProperty(value = "教学班ID")
    private String jxbId;

    @ApiModelProperty(value = "课程号")
    private String kch;

    @ApiModelProperty(value = "课程名称")
    private String kcmc;

    @ApiModelProperty(value = "学号")
    private String xh;

    @ApiModelProperty(value = "成绩")
    private String xmcj;

    public CloudMarkingScoreForeign() {
    }

    public CloudMarkingScoreForeign(Long schoolId, Long semesterId, Long examTypeId, Integer examId, String xnm, String xqm, String jxbId, String kch, String kcmc, String xh, String xmcj) {
        this.schoolId = schoolId;
        this.semesterId = semesterId;
        this.examTypeId = examTypeId;
        this.examId = examId;
        this.xnm = xnm;
        this.xqm = xqm;
        this.jxbId = jxbId;
        this.kch = kch;
        this.kcmc = kcmc;
        this.xh = xh;
        this.xmcj = xmcj;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public Long getExamTypeId() {
        return examTypeId;
    }

    public void setExamTypeId(Long examTypeId) {
        this.examTypeId = examTypeId;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getXnm() {
        return xnm;
    }

    public void setXnm(String xnm) {
        this.xnm = xnm;
    }

    public String getXqm() {
        return xqm;
    }

    public void setXqm(String xqm) {
        this.xqm = xqm;
    }

    public String getJxbId() {
        return jxbId;
    }

    public void setJxbId(String jxbId) {
        this.jxbId = jxbId;
    }

    public String getKch() {
        return kch;
    }

    public void setKch(String kch) {
        this.kch = kch;
    }

    public String getKcmc() {
        return kcmc;
    }

    public void setKcmc(String kcmc) {
        this.kcmc = kcmc;
    }

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getXmcj() {
        return xmcj;
    }

    public void setXmcj(String xmcj) {
        this.xmcj = xmcj;
    }
}
