package com.qmth.eds.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.eds.bean.dto.CloudMarkingScoreDto;
import com.qmth.eds.bean.dto.ExamDownloadRecordDto;
import com.qmth.eds.common.entity.CloudMarkingScore;
import com.qmth.eds.common.util.ServletUtil;
import com.qmth.eds.mapper.CloudMarkingScoreMapper;
import com.qmth.eds.service.CloudMarkingScoreService;
import org.springframework.stereotype.Service;

@Service
public class CloudMarkingScoreServiceImpl extends ServiceImpl<CloudMarkingScoreMapper, CloudMarkingScore> implements CloudMarkingScoreService {
    @Override
    public void deleteByKeys(Long schoolId, Long semesterId, Long examTypeId, Integer examId) {
        UpdateWrapper<CloudMarkingScore> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(CloudMarkingScore::getSchoolId, schoolId)
                .eq(CloudMarkingScore::getSemesterId, semesterId)
                .eq(CloudMarkingScore::getExamTypeId, examTypeId)
                .eq(CloudMarkingScore::getExamId, examId);
        this.remove(updateWrapper);
    }

    @Override
    public IPage<CloudMarkingScoreDto> pageData(Long semesterId, Long examTypeId, String examId, Integer pageNumber, Integer pageSize) {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        Page<CloudMarkingScoreDto> page = new Page<>(pageNumber, pageSize);
        return this.baseMapper.pageData(page, schoolId, semesterId, examTypeId, examId);
    }
}
